Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1724)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1725)
@@ -81,4 +81,7 @@
 		f=open("checkfile.def", "r")
 		h=open("report.txt", "a+")
+		l=open("report.html", "a+")
+		h.write("Config : "+configName+"\n")		
+		l.write("<p>Config : "+configName+"</p>")	
 		for line in f:
 			line=line.strip()
@@ -88,5 +91,6 @@
 				os.system(cmd)
 
-				h.write("test for "+configName+" for file "+lpurple(line)+"     \t"+yellow('INITIALIZED')+"\n")		
+				h.write("test for "+lpurple(line)+"     \t"+yellow('INITIALIZED')+"\n")		
+				l.write("<p>test for <font color=\"purple\">"+line+"</font> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font color=\"darkorange\">INITIALIZED</font></p>")
 				print yellow("\n        ****************************************")
 				print yellow("        ** "+line+" is stored as temporal reference !!! **")
@@ -94,4 +98,6 @@
 				
 		f.close()
+		h.write("\n")
+		l.write("<br>")
 		h.close()
 
@@ -124,5 +130,6 @@
 
 
-
+		h.write("Config : "+configName+"\n")	
+		l.write("<p>Config : "+configName+"</p>")	
 		for line in f:
 
@@ -135,6 +142,6 @@
 
 				if os.stat("diff.txt").st_size==0:
-					h.write("test for "+configName+" for file "+lpurple(line)+"     \t"+green('PASSED')+"\n")		
-					l.write("<p>test for "+configName+" for file <font color=\"purple\">"+line+"</font> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font color=\"green\">PASSED</font></p>")		
+					h.write("test for "+lpurple(line)+"     \t"+green('PASSED')+"\n")		
+					l.write("<p>test for <font color=\"purple\">"+line+"</font> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font color=\"green\">PASSED</font></p>")		
 					print green("\n        ****************************************")
 					print green("        ** "+line+" is valid !!! **")
@@ -145,12 +152,12 @@
 					for gline in g:
 						if gline.strip().startswith("0") or ":" in gline :
-							h.write("test for "+configName+" for file "+lpurple(line)+"      \t"+green('PASSED')+"\n")		
-							l.write("<p>test for "+configName+" for file <font color=\"purple\">"+line+"</font> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font color=\"green\">PASSED</font></p>")		
+							h.write("test for "+lpurple(line)+"      \t"+green('PASSED')+"\n")		
+							l.write("<p>test for <font color=\"purple\">"+line+"</font> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font color=\"green\">PASSED</font></p>")		
 							print green("\n        ****************************************")
 							print green("        ** "+line+" is valid !!! **")
 							print green("\n        ****************************************")
 						else:
-							h.write("test for "+configName+" for file "+lpurple(line)+"     \t"+red('FAILED')+"\n")		
-							l.write("<p>test for "+configName+" for file <font color=\"purple\">"+line+"</font> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font color=\"red\">FAILED</font></p>")		
+							h.write("test for "+lpurple(line)+"     \t"+red('FAILED')+"\n")		
+							l.write("<p>test for <font color=\"purple\">"+line+"</font> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font color=\"red\">FAILED</font></p>")		
 							print red("\n        **************************************************")
 							print red("        ** "+line+" is NOT valid. Please debugging.. **")
@@ -158,4 +165,6 @@
 					g.close()
 		f.close()
+		h.write("\n")
+		l.write("<br>")
 		h.close()
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/clean_config.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/clean_config.sh	(revision 1724)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/clean_config.sh	(revision 1725)
@@ -1,24 +1,10 @@
-cd test_function/test_average
-rm -rf config_*
+bash -c "cd test_function/test_average && rm -rf config_*"
+bash -c "cd test_function/test_maximum && rm -rf config_*"
+bash -c "cd test_function/test_minimum && rm -rf config_*"
+bash -c "cd test_function/test_sum && rm -rf config_*"
+bash -c "cd test_scalar_algo && rm -rf config_*"
+bash -c "cd test_axis_algo && rm -rf config_*"
+bash -c "cd test_domain_algo && rm -rf config_*"
+bash -c "cd test_grid_algo && rm -rf config_*"
 
-cd ../test_maximum
-rm -rf config_*
 
-cd ../test_minimum
-rm -rf config_*
-
-cd ../test_sum
-rm -rf config_*
-
-cd ../../test_scalar_algo
-rm -rf config_*
-
-cd ../test_axis_algo
-rm -rf config_*
-
-cd ../test_domain_algo
-rm -rf config_*
-
-cd ../test_grid_algo
-rm -rf config_*
-
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_sub_test.sh	(revision 1724)
+++ 	(revision )
@@ -1,1 +1,0 @@
-#!/bin/bash
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_test.sh	(revision 1724)
+++ 	(revision )
@@ -1,5 +1,0 @@
-#!/bin/bash
-
-
-
-
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/checkfile.def
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/checkfile.def	(revision 1724)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/checkfile.def	(revision 1725)
@@ -1,4 +1,3 @@
-#atm_output_1.nc
 
-atm_output.nc
-atm_output_copy.nc
+atm_output_zoom.nc
+#atm_output_inverse.nc
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/context_atm.xml
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/context_atm.xml	(revision 1724)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/context_atm.xml	(revision 1725)
@@ -26,10 +26,13 @@
         <zoom_axis begin="0" n="5"/>
     </axis>
+
     <axis id="domain_X_zoom" axis_ref="domain_X">
         <zoom_axis begin="0" n="10"/>
     </axis>
+
     <axis id="domain_Y_zoom" axis_ref="domain_Y">
         <zoom_axis begin="3" n="5"/>
     </axis>
+
   </axis_definition>
 
@@ -149,9 +152,8 @@
       <axis axis_ref="domain_X_zoom" />
       <axis axis_ref="domain_Y" />
-
-    </grid>
-
- 
- 
+    </grid>
+
+
+
  
  
@@ -387,12 +389,7 @@
   
 
-     <file id="atm_output" output_freq="1ts" enabled="true">
-       <field id="fieldXY_zoomY" field_ref="field_XY" grid_ref="grid_XY_zoom_Y" operation="instant" enabled="true"/>
-    </file>
-  
-    <file id="atm_output_copy" output_freq="1ts" enabled="true">
-       <field id="fieldXY_zoomY_copy" field_ref="field_XY" grid_ref="grid_XY_zoom_Y" operation="once" enabled="true"/>
-       <field id="fieldXY_zoomX" field_ref="field_XY" grid_ref="grid_XY_zoom_X" operation="once" enabled="false"/>
-    </file>
+     <file id="atm_output_zoom" output_freq="1ts" enabled="true">
+       <field field_ref="field_XY" grid_ref="grid_XY_zoom_Y" operation="instant" enabled="true"/>
+     </file>
 
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh	(revision 1724)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh	(revision 1725)
@@ -35,8 +35,9 @@
 touch report.html
 > report.html
-echo "<p> </p> " >> report.html
-echo "<p> </p> " >> report.html
+echo "<br> " >> report.html
+echo "<br> " >> report.html
+echo "<br> " >> report.html
 echo "<p>testing  <font color="blue">axis</font> algorithms...</p>" >> report.html 
-echo "<p> </p> " >> report.html
+echo "<br> " >> report.html
 
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
@@ -54,10 +55,23 @@
 
 nb_proc=$(python sub_config2.py 2>&1) 
+nb_jz=$(($nb_proc-1))
 
-if [$machine_name == irene]
+if [[ ($machine_name == irene) ]]
 then
     ccc_mprun -n $nb_proc ../../build_prod/bin/generic_testcase.exe
+elif [[($machine_name == ada)]]
+then
+    echo "Testing on ADA"
+    mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
+elif [[($machine_name == jeanzay)]]
+then
+    echo "Testing on Jean-Zay" 
+    # touch srun.conf
+    # > srun.conf
+    # echo "0-"$nb_jz " ../../build_prod/bin/generic_testcase.exe">> srun.conf
+    # srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./srun.conf 
+    srun -n $nb_proc --mpi=pmi2 ../../build_prod/bin/generic_testcase.exe
 else
-    mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
+    echo "other machine"
 fi
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/user_params.def
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/user_params.def	(revision 1724)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/user_params.def	(revision 1725)
@@ -11,7 +11,7 @@
 # e.g. NumberServers = 2, 4, 8  
 
-NumberServers = 2, 4
+NumberServers = 2
 ATMdomain='lmdz'
-UsingServer2 = 'false', 'true'
+UsingServer2 = 'true'
 # Duration = '1d', '2d'
 # NumberPoolsServer2 = 1
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/checkfile.def
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/checkfile.def	(revision 1724)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/checkfile.def	(revision 1725)
@@ -1,3 +1,11 @@
-#atm_output_1.nc
 
 atm_output.nc
+
+atm_output_expand.nc
+
+
+atm_output_extract.nc
+
+atm_output_interpolate.nc
+
+atm_output_zoom.nc
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/context_atm.xml
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/context_atm.xml	(revision 1724)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/context_atm.xml	(revision 1725)
@@ -388,11 +388,21 @@
     <file id="atm_output" output_freq="1ts" type="one_file" enabled="true">
        <!-- <field id="id_fieldXY" field_ref="field_XY" operation="once" enabled="true"/> -->
-       <field id="id_fieldX" field_ref="field_X" operation="once" enabled="true"/>
-    </file>
-
-     <file id="atm_output_zoom" output_freq="1ts" enabled="true">
-       <field id="fieldX_zoomX" field_ref="field_X" grid_ref="grid_X_zoom" operation="once" enabled="true"/>
-       <!-- <field id="fieldXY_zoomX" field_ref="field_XY" grid_ref="grid_XY_zoom_X" operation="once" enabled="true"/>
-       <field id="fieldXY_zoomY" field_ref="field_XY" grid_ref="grid_XY_zoom_Y" operation="once" enabled="true"/> -->
+       <field field_ref="field_X" operation="instant" enabled="true"/>
+    </file>
+
+    <file id="atm_output_expand" output_freq="1ts" enabled="true">
+       <field field_ref="field_X" operation="instant" enabled="true"/>
+    </file>
+
+    <file id="atm_output_extract" output_freq="1ts" enabled="true">
+       <field field_ref="field_X" operation="instant" enabled="true"/>
+    </file>
+
+    <file id="atm_output_interpolate" output_freq="1ts" enabled="true">
+       <field field_ref="field_X" operation="instant" enabled="true"/>
+    </file>
+
+    <file id="atm_output_zoom" output_freq="1ts" enabled="true">
+       <field field_ref="field_X" operation="instant" enabled="true"/>
     </file>
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh	(revision 1724)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh	(revision 1725)
@@ -35,8 +35,9 @@
 touch report.html
 > report.html
-echo "<p> </p> " >> report.html
-echo "<p> </p> " >> report.html
+echo "<br> " >> report.html
+echo "<br> " >> report.html
+echo "<br> " >> report.html
 echo "<p>testing  <font color="blue">domain</font> algorithms...</p>" >> report.html 
-echo "<p> </p> " >> report.html
+echo "<br> " >> report.html
 
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
@@ -54,10 +55,23 @@
 
 nb_proc=$(python sub_config2.py 2>&1) 
+nb_jz=$(($nb_proc-1))
 
-if [$machine_name == irene]
+if [[ ($machine_name == irene) ]]
 then
     ccc_mprun -n $nb_proc ../../build_prod/bin/generic_testcase.exe
+elif [[($machine_name == ada)]]
+then
+    echo "Testing on ADA"
+    mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
+elif [[($machine_name == jeanzay)]]
+then
+    echo "Testing on Jean-Zay" 
+    # touch srun.conf
+    # > srun.conf
+    # echo "0-"$nb_jz " ../../build_prod/bin/generic_testcase.exe">> srun.conf
+    # srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./srun.conf 
+    srun -n $nb_proc --mpi=pmi2 ../../build_prod/bin/generic_testcase.exe
 else
-    mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
+    echo "other machine"
 fi
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/user_params.def
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/user_params.def	(revision 1724)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/user_params.def	(revision 1725)
@@ -12,4 +12,4 @@
 
 NumberServers = 2, 4
-UsingServer2 = 'false', 'true'
+UsingServer2 = 'true', 'false'
 ATMdomain = 'lmdz'
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/run_sub_test.sh	(revision 1724)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/run_sub_test.sh	(revision 1725)
@@ -38,8 +38,9 @@
 touch report.html
 > report.html
-echo "<p> </p> " >> report.html
-echo "<p> </p> " >> report.html
+echo "<br> " >> report.html
+echo "<br> " >> report.html
+echo "<br> " >> report.html
 echo "<p>testing  <font color="blue">average</font> reduce...</p>" >> report.html 
-echo "<p> </p> " >> report.html
+echo "<br> " >> report.html
 
 
@@ -58,10 +59,23 @@
 
 nb_proc=$(python sub_config2.py 2>&1) 
+nb_jz=$(($nb_proc-1))
 
-if [$machine_name == irene]
+if [[ ($machine_name == irene) ]]
 then
     ccc_mprun -n $nb_proc ../../../build_prod/bin/generic_testcase.exe
+elif [[($machine_name == ada)]]
+then
+    echo "Testing on ADA"
+    mpirun -np $nb_proc ../../../build_prod/bin/generic_testcase.exe
+elif [[($machine_name == jeanzay)]]
+then
+    echo "Testing on Jean-Zay" 
+    # touch srun.conf
+    # > srun.conf
+    # echo "0-"$nb_jz " ../../../build_prod/bin/generic_testcase.exe">> srun.conf
+    # srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./srun.conf 
+    srun -n $nb_proc --mpi=pmi2 ../../../build_prod/bin/generic_testcase.exe
 else
-    mpirun -np $nb_proc ../../../build_prod/bin/generic_testcase.exe
+    echo "other machine"
 fi
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/run_sub_test.sh	(revision 1724)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/run_sub_test.sh	(revision 1725)
@@ -39,8 +39,9 @@
 touch report.html
 > report.html
-echo "<p> </p> " >> report.html
-echo "<p> </p> " >> report.html
+echo "<br> " >> report.html
+echo "<br> " >> report.html
+echo "<br> " >> report.html
 echo "<p>testing  <font color="blue">maximum</font> reduce...</p>" >> report.html 
-echo "<p> </p> " >> report.html
+echo "<br> " >> report.html
 
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
@@ -58,10 +59,23 @@
 
 nb_proc=$(python sub_config2.py 2>&1) 
+nb_jz=$(($nb_proc-1))
 
-if [$machine_name == irene]
+if [[ ($machine_name == irene) ]]
 then
     ccc_mprun -n $nb_proc ../../../build_prod/bin/generic_testcase.exe
+elif [[($machine_name == ada)]]
+then
+    echo "Testing on ADA"
+    mpirun -np $nb_proc ../../../build_prod/bin/generic_testcase.exe
+elif [[($machine_name == jeanzay)]]
+then
+    echo "Testing on Jean-Zay" 
+    # touch srun.conf
+    # > srun.conf
+    # echo "0-"$nb_jz " ../../../build_prod/bin/generic_testcase.exe">> srun.conf
+    # srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./srun.conf 
+    srun -n $nb_proc --mpi=pmi2 ../../../build_prod/bin/generic_testcase.exe
 else
-    mpirun -np $nb_proc ../../../build_prod/bin/generic_testcase.exe
+    echo "other machine"
 fi
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/run_sub_test.sh	(revision 1724)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/run_sub_test.sh	(revision 1725)
@@ -38,8 +38,9 @@
 touch report.html
 > report.html
-echo "<p> </p> " >> report.html
-echo "<p> </p> " >> report.html
+echo "<br> " >> report.html
+echo "<br> " >> report.html
+echo "<br> " >> report.html
 echo "<p>testing  <font color="blue">minimum</font> reduce...</p>" >> report.html 
-echo "<p> </p> " >> report.html
+echo "<br> " >> report.html
 
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
@@ -57,10 +58,23 @@
 
 nb_proc=$(python sub_config2.py 2>&1) 
+nb_jz=$(($nb_proc-1))
 
-if [$machine_name == irene]
+if [[ ($machine_name == irene) ]]
 then
     ccc_mprun -n $nb_proc ../../../build_prod/bin/generic_testcase.exe
+elif [[($machine_name == ada)]]
+then
+    echo "Testing on ADA"
+    mpirun -np $nb_proc ../../../build_prod/bin/generic_testcase.exe
+elif [[($machine_name == jeanzay)]]
+then
+    echo "Testing on Jean-Zay" 
+    # touch srun.conf
+    # > srun.conf
+    # echo "0-"$nb_jz " ../../../build_prod/bin/generic_testcase.exe">> srun.conf
+    # srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./srun.conf 
+    srun -n $nb_proc --mpi=pmi2 ../../../build_prod/bin/generic_testcase.exe
 else
-    mpirun -np $nb_proc ../../../build_prod/bin/generic_testcase.exe
+    echo "other machine"
 fi
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/run_sub_test.sh	(revision 1724)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/run_sub_test.sh	(revision 1725)
@@ -38,8 +38,9 @@
 touch report.html
 > report.html
-echo "<p> </p> " >> report.html
-echo "<p> </p> " >> report.html
+echo "<br> " >> report.html
+echo "<br> " >> report.html
+echo "<br> " >> report.html
 echo "<p>testing  <font color="blue">accumulate</font> reduce...</p>" >> report.html 
-echo "<p> </p> " >> report.html
+echo "<br> " >> report.html
 
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
@@ -57,10 +58,23 @@
 
 nb_proc=$(python sub_config2.py 2>&1) 
+nb_jz=$(($nb_proc-1))
 
-if [$machine_name == irene]
+if [[ ($machine_name == irene) ]]
 then
     ccc_mprun -n $nb_proc ../../../build_prod/bin/generic_testcase.exe
+elif [[($machine_name == ada)]]
+then
+    echo "Testing on ADA"
+    mpirun -np $nb_proc ../../../build_prod/bin/generic_testcase.exe
+elif [[($machine_name == jeanzay)]]
+then
+    echo "Testing on Jean-Zay" 
+    # touch srun.conf
+    # > srun.conf
+    # echo "0-"$nb_jz " ../../../build_prod/bin/generic_testcase.exe">> srun.conf
+    #srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./srun.conf 
+    srun -n $nb_proc --mpi=pmi2 ../../../build_prod/bin/generic_testcase.exe
 else
-    mpirun -np $nb_proc ../../../build_prod/bin/generic_testcase.exe
+    echo "other machine"
 fi
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh	(revision 1724)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh	(revision 1725)
@@ -35,8 +35,9 @@
 touch report.html
 > report.html
-echo "<p> </p> " >> report.html
-echo "<p> </p> " >> report.html
+echo "<br> " >> report.html
+echo "<br> " >> report.html
+echo "<br> " >> report.html
 echo "<p>testing  <font color="blue">grid</font> algorithms...</p>" >> report.html 
-echo "<p> </p> " >> report.html
+echo "<br> " >> report.html
 
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
@@ -54,10 +55,23 @@
 
 nb_proc=$(python sub_config2.py 2>&1) 
+nb_jz=$(($nb_proc-1))
 
-if [$machine_name == irene]
+if [[ ($machine_name == irene) ]]
 then
     ccc_mprun -n $nb_proc ../../build_prod/bin/generic_testcase.exe
+elif [[($machine_name == ada)]]
+then
+    echo "Testing on ADA"
+    mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
+elif [[($machine_name == jeanzay)]]
+then
+    echo "Testing on Jean-Zay" 
+    # touch srun.conf
+    # > srun.conf
+    # echo "0-"$nb_jz " ../../build_prod/bin/generic_testcase.exe">> srun.conf
+    # srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./srun.conf 
+    srun -n $nb_proc --mpi=pmi2 ../../build_prod/bin/generic_testcase.exe
 else
-mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
+    echo "other machine"
 fi
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh	(revision 1724)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh	(revision 1725)
@@ -32,8 +32,9 @@
 touch report.html
 > report.html
-echo "<p> </p> " >> report.html
-echo "<p> </p> " >> report.html
+echo "<br> " >> report.html
+echo "<br> " >> report.html
+echo "<br> " >> report.html
 echo "<p>testing  <font color="blue">scalar</font> algorithms...</p>" >> report.html 
-echo "<p> </p> " >> report.html
+echo "<br> " >> report.html
 
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
@@ -51,10 +52,23 @@
 
 nb_proc=$(python sub_config2.py 2>&1) 
+nb_jz=$(($nb_proc-1))
 
-if [$machine_name == irene]
+if [[ ($machine_name == irene) ]]
 then
     ccc_mprun -n $nb_proc ../../build_prod/bin/generic_testcase.exe
-else  #machine_name=ada
+elif [[($machine_name == ada)]]
+then
+    echo "Testing on ADA"
     mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
+elif [[($machine_name == jeanzay)]]
+then
+    echo "Testing on Jean-Zay" 
+    # touch srun.conf
+    # > srun.conf
+    # echo "0-"$nb_jz " ../../build_prod/bin/generic_testcase.exe">> srun.conf
+    # srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./srun.conf 
+    srun -n $nb_proc --mpi=pmi2 ../../build_prod/bin/generic_testcase.exe
+else
+    echo "other machine"
 fi
 python sub_check.py