Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/job.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/job.sh	(revision 1726)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/job.sh	(revision 1727)
@@ -42,7 +42,8 @@
 
 # Execution of a parallel hybrid program (MPI + threads).
-
+export machine_name=ada
 cmake .
-make test
+ctest -V
 
 
+
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/param.def
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/param.def	(revision 1726)
+++ 	(revision )
@@ -1,5 +1,0 @@
-&params_run
-nb_proc_atm = 4
-duration = '1d'
-/
-
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/job.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/job.sh	(revision 1726)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/job.sh	(revision 1727)
@@ -42,7 +42,7 @@
 
 # Execution of a parallel hybrid program (MPI + threads).
-
+export machine_name=ada
 cmake .
-make test
+ctest -V
 
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/param.def
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/param.def	(revision 1726)
+++ 	(revision )
@@ -1,5 +1,0 @@
-&params_run
-nb_proc_atm = 4
-duration = '1d'
-/
-
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh	(revision 1726)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh	(revision 1727)
@@ -27,5 +27,5 @@
 echo " " >> report.txt
 echo " " >> report.txt
-echo -e "testing ${Color}axis${NC} algorithms..." >> report.txt
+echo -e "testing ${Color}domain${NC} algorithms..." >> report.txt
 echo " " >> report.txt
 
@@ -35,5 +35,5 @@
 echo "<br> " >> report.html
 echo "<br> " >> report.html
-echo "<p>testing  <font color="blue">axis</font> algorithms...</p>" >> report.html 
+echo "<p>testing  <font color="blue">domain</font> algorithms...</p>" >> report.html 
 echo "<br> " >> report.html
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/job.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/job.sh	(revision 1726)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/job.sh	(revision 1727)
@@ -43,7 +43,9 @@
 # Execution of a parallel hybrid program (MPI + threads).
 
+export machine_name=ada
+
 cmake .
 
-make test
+ctest -V
 
 make subreport
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/job.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/job.sh	(revision 1726)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/job.sh	(revision 1727)
@@ -43,6 +43,6 @@
 # Execution of a parallel hybrid program (MPI + threads).
 # mpirun -np $NB_TASKS ../../build_prod/bin/generic_testcase.exe
-
+export machine_name=ada
 
 cmake .
-make test
+ctest -V
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/job.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/job.sh	(revision 1726)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/job.sh	(revision 1727)
@@ -44,5 +44,5 @@
 # mpirun -np $NB_TASKS ../../build_prod/bin/generic_testcase.exe
 
-
+export machine_name=ada
 cmake .
-make test
+ctest -V
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/job.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/job.sh	(revision 1726)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/job.sh	(revision 1727)
@@ -43,6 +43,6 @@
 # Execution of a parallel hybrid program (MPI + threads).
 # mpirun -np $NB_TASKS ../../build_prod/bin/generic_testcase.exe
-
+export machine_name=ada
 
 cmake .
-make test
+ctest -V
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/job.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/job.sh	(revision 1726)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/job.sh	(revision 1727)
@@ -44,5 +44,5 @@
 # mpirun -np $NB_TASKS ../../build_prod/bin/generic_testcase.exe
 
-
+export machine_name=ada
 cmake .
-make test
+ctest -V
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/job.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/job.sh	(revision 1726)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/job.sh	(revision 1727)
@@ -42,7 +42,7 @@
 
 # Execution of a parallel hybrid program (MPI + threads).
-
+export machine_name=ada
 cmake .
-make test
+ctest -V
 
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/param.def
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/param.def	(revision 1726)
+++ 	(revision )
@@ -1,5 +1,0 @@
-&params_run
-nb_proc_atm = 4
-duration = '1d'
-/
-
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh	(revision 1726)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh	(revision 1727)
@@ -27,5 +27,5 @@
 echo " " >> report.txt
 echo " " >> report.txt
-echo -e "testing ${Color}axis${NC} algorithms..." >> report.txt
+echo -e "testing ${Color}grid${NC} algorithms..." >> report.txt
 echo " " >> report.txt
 
@@ -35,5 +35,5 @@
 echo "<br> " >> report.html
 echo "<br> " >> report.html
-echo "<p>testing  <font color="blue">axis</font> algorithms...</p>" >> report.html 
+echo "<p>testing  <font color="blue">grid</font> algorithms...</p>" >> report.html 
 echo "<br> " >> report.html
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/job.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/job.sh	(revision 1726)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/job.sh	(revision 1727)
@@ -42,7 +42,7 @@
 
 # Execution of a parallel hybrid program (MPI + threads).
-
+export machine_name=ada
 cmake .
-make test
+ctest -V
 
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/param.def
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/param.def	(revision 1726)
+++ 	(revision )
@@ -1,5 +1,0 @@
-&params_run
-nb_proc_atm = 4
-duration = '1d'
-/
-
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh	(revision 1726)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh	(revision 1727)
@@ -27,5 +27,5 @@
 echo " " >> report.txt
 echo " " >> report.txt
-echo -e "testing ${Color}axis${NC} algorithms..." >> report.txt
+echo -e "testing ${Color}scalar${NC} algorithms..." >> report.txt
 echo " " >> report.txt
 
@@ -35,5 +35,5 @@
 echo "<br> " >> report.html
 echo "<br> " >> report.html
-echo "<p>testing  <font color="blue">axis</font> algorithms...</p>" >> report.html 
+echo "<p>testing  <font color="blue">scalar</font> algorithms...</p>" >> report.html 
 echo "<br> " >> report.html
 