Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/iodef.xml
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/iodef.xml	(revision 1729)
+++ 	(revision )
@@ -1,67 +1,0 @@
-<?xml version="1.0"?>
-
-<simulation>
-
-  <context id="atm">
-    <variable_definition>
-
-      <variable id="timestep"> 1h </variable>
-      <variable id="domain"> atm::domain </variable>
-      <variable id="domain_mask"> true </variable>
-      <variable id="axis_mask"> true </variable>
-      <variable id="init_field2D"> rank </variable>
-      <variable id="ni"> 36 </variable>
-      <variable id="nj"> 18 </variable>
-      <variable id="nlev"> 10 </variable>
-      <variable id="pressure_factor"> 0.10 </variable>
-      <variable id="mask3d"> false </variable>
-<!--      <variable id="domain_proc_frac">3</variable>
-      <variable id="axis_proc_frac">2</variable>
-      <variable id="axis_proc_n">2</variable>
-      <variable id="ensemble_proc_n">2</variable> -->
-      
-      <variable id="other_domain"> lmdz </variable>
-      <variable id="other_domain_mask"> false </variable>
-      <variable id="other_axis_mask"> false </variable>
-      <variable id="other_init_field2D"> academic </variable>
-      <variable id="other_ni"> 36 </variable>
-      <variable id="other_nj"> 18 </variable>
-      <variable id="other_nlev"> 10 </variable>
-      <variable id="other_pressure_factor"> 0.10 </variable>
-      <variable id="other_mask3d"> false </variable>
-<!--      <variable id="other_domain_proc_frac">3</variable>
-      <variable id="other_axis_proc_frac">2</variable>
-      <variable id="other_axis_proc_n">2</variable>
-      <variable id="other_ensemble_proc_n">2</variable> -->
-      
-    </variable_definition>
-  </context>
-
-
-
-  <context id="atm" src="./context_atm.xml"/>
-  <context id="grid_dynamico" src="./context_grid_dynamico.xml"/>
-  
-  <context id="xios">
-    <variable_definition>
-      <variable_group id="buffer">
-  <variable id="min_buffer_size" type="int">10000000</variable>
-  <variable id="optimal_buffer_size" type="string">performance</variable>
-  <variable id="buffer_factor_size" type="double">0.8</variable> 
-      </variable_group>
-
-      <variable_group id="parameters" >
-        <variable id="using_server" type="bool">true</variable>
-        <variable id="info_level" type="int">100</variable>
-        <variable id="print_file" type="bool">true</variable>
-        <variable id="using_server2" type="bool">xios::usingSrv2</variable>
-        <variable id="ratio_server2" type="int">xios::ratioSrv2</variable>
-        <variable id="number_pools_server2" type="int">xios::nbplSrv2</variable>
-        <variable id="pure_one_sided" type="bool">false</variable>
-        <variable id="check_event_sync" type="bool">true</variable>
-      </variable_group>
-      <variable id="activate_non_distributed_transformation" type="bool">true</variable>
-    </variable_definition>
-  </context>
-
-</simulation>
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh	(revision 1729)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh	(revision 1734)
@@ -12,5 +12,4 @@
 
 
-cp ../iodef.xml iodef.xml
 
 # Black        0;30     Dark Gray     1;30
@@ -24,5 +23,4 @@
 
 
-mv iodef.xml iodef.xml.bkp
 
 nb_proc=$(python sub_config.py 2>&1) 
@@ -30,5 +28,5 @@
 machine_name=jeanzay
 
-echo $nb_proc
+# echo $nb_proc
 if [[ ($machine_name == irene) ]]
 then
@@ -47,8 +45,8 @@
             echo "execution failed"
             rm -f iodef.xml
-            mv iodef.xml.bkp iodef.xml
             rm -f user_param.py
             rm -f default_param.py
             rm -f sub_config.py
+            rm -f sub_check.py
             exit 1234
     fi
@@ -61,6 +59,6 @@
 
 rm -f iodef.xml
-mv iodef.xml.bkp iodef.xml
 rm -f user_param.py
 rm -f default_param.py
 rm -f sub_config.py
+rm -f sub_check.py