Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job_jz.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job_jz.sh	(revision 1738)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job_jz.sh	(revision 1739)
@@ -58,6 +58,6 @@
 
 cmake .
-ctest -V 
-#ctest --output-on-failure
+#ctest -V 
+ctest --output-on-failure
 make report
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_sub_test.sh	(revision 1738)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_sub_test.sh	(revision 1739)
@@ -20,6 +20,4 @@
 { nb_proc=$(python sub_config.py 2>&1 1>&3-) ;} 3>&1
 # nb_proc=$(python sub_config.py 2>&1) 
-
-machine_name=jeanzay
 
 # echo $nb_proc
Index: OS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/context_grid_dynamico.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/context_grid_dynamico.xml	(revision 1738)
+++ 	(revision )
@@ -1,19 +1,0 @@
-<context id="grid_dynamico">
-  
-  <calendar type="Gregorian" time_origin="1850-01-01 00:00:00" timestep="1s"/> 
-   
-   
-  <file_definition>   
-     <file id="dynamico_grid" name="Ai" mode="read" output_freq="1ts" type="one_file">
-       <field id="Ai" domain_ref="domain_dynamico" operation="instant"/>
-     </file>
-  </file_definition>
-  
-  <domain_definition>
-    <domain id="domain_dynamico" type="unstructured">
-      <generate_rectilinear_domain/>
-    </domain>
-  </domain_definition>
-
-
-</context>
Index: OS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/context_grid_dynamico.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/context_grid_dynamico.xml	(revision 1738)
+++ 	(revision )
@@ -1,19 +1,0 @@
-<context id="grid_dynamico">
-  
-  <calendar type="Gregorian" time_origin="1850-01-01 00:00:00" timestep="1s"/> 
-   
-   
-  <file_definition>   
-     <file id="dynamico_grid" name="Ai" mode="read" output_freq="1ts" type="one_file">
-       <field id="Ai" domain_ref="domain_dynamico" operation="instant"/>
-     </file>
-  </file_definition>
-  
-  <domain_definition>
-    <domain id="domain_dynamico" type="unstructured">
-      <generate_rectilinear_domain/>
-    </domain>
-  </domain_definition>
-
-
-</context>
Index: OS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/context_grid_dynamico.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/context_grid_dynamico.xml	(revision 1738)
+++ 	(revision )
@@ -1,19 +1,0 @@
-<context id="grid_dynamico">
-  
-  <calendar type="Gregorian" time_origin="1850-01-01 00:00:00" timestep="1s"/> 
-   
-   
-  <file_definition>   
-     <file id="dynamico_grid" name="Ai" mode="read" output_freq="1ts" type="one_file">
-       <field id="Ai" domain_ref="domain_dynamico" operation="instant"/>
-     </file>
-  </file_definition>
-  
-  <domain_definition>
-    <domain id="domain_dynamico" type="unstructured">
-      <generate_rectilinear_domain/>
-    </domain>
-  </domain_definition>
-
-
-</context>
Index: OS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/context_grid_dynamico.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/context_grid_dynamico.xml	(revision 1738)
+++ 	(revision )
@@ -1,19 +1,0 @@
-<context id="grid_dynamico">
-  
-  <calendar type="Gregorian" time_origin="1850-01-01 00:00:00" timestep="1s"/> 
-   
-   
-  <file_definition>   
-     <file id="dynamico_grid" name="Ai" mode="read" output_freq="1ts" type="one_file">
-       <field id="Ai" domain_ref="domain_dynamico" operation="instant"/>
-     </file>
-  </file_definition>
-  
-  <domain_definition>
-    <domain id="domain_dynamico" type="unstructured">
-      <generate_rectilinear_domain/>
-    </domain>
-  </domain_definition>
-
-
-</context>
Index: OS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/context_grid_dynamico.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/context_grid_dynamico.xml	(revision 1738)
+++ 	(revision )
@@ -1,19 +1,0 @@
-<context id="grid_dynamico">
-  
-  <calendar type="Gregorian" time_origin="1850-01-01 00:00:00" timestep="1s"/> 
-   
-   
-  <file_definition>   
-     <file id="dynamico_grid" name="Ai" mode="read" output_freq="1ts" type="one_file">
-       <field id="Ai" domain_ref="domain_dynamico" operation="instant"/>
-     </file>
-  </file_definition>
-  
-  <domain_definition>
-    <domain id="domain_dynamico" type="unstructured">
-      <generate_rectilinear_domain/>
-    </domain>
-  </domain_definition>
-
-
-</context>