Index: /XIOS/dev/dev_trunk_omp/doc/XIOS_graph_user_guide.tex
===================================================================
--- /XIOS/dev/dev_trunk_omp/doc/XIOS_graph_user_guide.tex	(revision 1741)
+++ /XIOS/dev/dev_trunk_omp/doc/XIOS_graph_user_guide.tex	(revision 1742)
@@ -83,4 +83,6 @@
 \usepackage[dvipsnames]{xcolor}
 \newcommand{\visbutton}[1]{\colorbox[RGB]{92,184,92}{\color{white}{#1}}}
+
+\usepackage{float}
 %%% END Article customizations
 
@@ -128,10 +130,10 @@
 In the workflow graph, a node represents a XIOS filter. We have 7 categories of filters:
 \begin{itemize}
-    \item source filter: when the field data is received from model or read from netcdf file
+    \item source filter: when the field data is received from model or read from NetCDF file
     \item pass through filter: when having a field reference
     \item arithmetic filter: when arithmetic operations are performed on the field
     \item temporal filter: when the field has a temporal operation (\textit{e.g.} average, maximum, minimum, ...)
     \item spatial transform filter: when the field has a spatial transform applied upon (\textit{e.g.} zoom, interpolate, ...)
-    \item file write filter: when the field data is written to a netcdf file
+    \item file write filter: when the field data is written to a NetCDF file
     \item store filter: when the field data is send back to model
 \end{itemize}
@@ -150,5 +152,5 @@
 \end{lstlisting}
 
-\subsection{Heritage by field referecing}
+\subsection{Heritage by field referencing}
 
 \begin{lstlisting}[language=XML]
@@ -169,15 +171,35 @@
 \section{Visualization of workflow graph}
 
-\begin{figure}[ht]
-\centering
-\includegraphics[scale=0.4]{inputs/images/graph_init}
-\caption{Start state of the Visualization}
+
+\subsection{Example of XIOS workflow graph output}
+
+\begin{figure}[H]
+    \centering
+    \includegraphics[scale=0.45]{inputs/images/workflow_graph}
 \end{figure}
 
-The workflow graph can be viewed through the \verb|graph.html| script located in the XIOS 
+From this graph, we can gather several information directly:
+\begin{itemize}
+    \item the workflow has 3 inputs fields and one output field;
+    \item \verb|filed_D = field_A + field_B + field_C|;
+    \item \verb|field_D| is outputted every time step (instant temporal filter);
+    \item the output NetCDF file is named \verb|output.nc|;
+    \item the date label of the time step is 2012-03-01 at 21 o'clock.
+\end{itemize}
+
+This graph shows how XIOS interprets the \verb|xml| inputs. Users can easily check if it corresponds to 
+their designed input configurations. 
+
+The workflow graph is viewed through the \verb|graph.html| script located in the XIOS 
 folder. The graph file \verb|graph_data.json| is stored in the same folder as the \verb|iodef.xml| file
 which is used for configure the simulation.
-Choose the graph file to start the Visualization by cliking the button \colorbox[RGB]{66,139,202}{\color{white}{Load a JSON XIOS file}}.
+Choose the graph file to start the Visualization by clicking the button \colorbox[RGB]{66,139,202}{\color{white}{Load a JSON XIOS file}}.
 Several buttons are set to allow user to visualize the graph interactively. 
+
+\begin{figure}[H]
+    \centering
+    \includegraphics[scale=0.4]{inputs/images/graph_init}
+    \caption{Start state of the Visualization}
+\end{figure}
 
 \subsection{Enable/Disable all}
@@ -200,9 +222,9 @@
 \visbutton{Enable input} shows all input nodes of the graph. The input nodes are
 often, if not always, the source filters: data received from the model or read 
-from a netcdf file.
+from a NetCDF file.
 
 \subsection{Enable output}
 \visbutton{Enable output} shows all output nodes of the graph. The output nodes 
-are either the file writer filter: data written to a netcdf file; either the store 
+are either the file writer filter: data written to a NetCDF file; either the store 
 filter: data send back to model.
 
@@ -236,7 +258,7 @@
 \end{lstlisting}
 
-In this example, the graph will only include information between the 3rd and 5th timestep.
-These attributes are not madatory. If \verb|build_workflow_graph_start| is not define, the graph will start to record from the first iteration.
-Similarly, the defualt value of \verb|build_workflow_graph_end| is the last iteration of the simulation.
+In this example, the graph will only include information between the 3rd and 5th time step.
+These attributes are not mandatory. If \verb|build_workflow_graph_start| is not define, the graph will start to record from the first iteration.
+Similarly, the default value of \verb|build_workflow_graph_end| is the last iteration of the simulation.
 
 In case that two values of the same attribute are defined, we take the largest range.
Index: /XIOS/dev/dev_trunk_omp/doc/XIOS_testcase_user_guide.tex
===================================================================
--- /XIOS/dev/dev_trunk_omp/doc/XIOS_testcase_user_guide.tex	(revision 1741)
+++ /XIOS/dev/dev_trunk_omp/doc/XIOS_testcase_user_guide.tex	(revision 1742)
@@ -19,5 +19,5 @@
 %   read geometry.pdf for detailed page layout information
 
-\usepackage{graphicx} % support the \includegraphics command and optionsi
+\usepackage{graphicx} % support the \includegraphics command and options
 
 % \usepackage[parfill]{parskip} % Activate to begin paragraphs with an empty line rather than an indent
@@ -26,5 +26,5 @@
 \usepackage{booktabs} % for much better looking tables
 \usepackage{array} % for better arrays (eg matrices) in maths
-\usepackage{paralist} % very flexible & customisable lists (eg. enumerate/itemize, etc.)
+\usepackage{paralist} % very flexible & customizable lists (eg. enumerate/itemize, etc.)
 \usepackage{verbatim} % adds environment for commenting out blocks of text & for better verbatim
 \usepackage{subfig} % make it possible to include more than one captioned figure/table in a single float
@@ -34,5 +34,5 @@
 \usepackage{fancyhdr} % This should be set AFTER setting up the page geometry
 \pagestyle{fancy} % options: empty , plain , fancy
-\renewcommand{\headrulewidth}{0pt} % customise the layout...
+\renewcommand{\headrulewidth}{0pt} % customize the layout...
 \lhead{}\chead{}\rhead{}
 \lfoot{}\cfoot{\thepage}\rfoot{}
@@ -117,8 +117,8 @@
 
 The XIOS generic testcase is a set of unit tests that test functionalities of 
-XIOS. It is reserved for XIOS developpers and it is designed to ensure that the 
+XIOS. It is reserved for XIOS developers and it is designed to ensure that the 
 XIOS does not introduce errors after each code modification. 
 
-\section{Orgnization of the testcase}
+\section{Organization of the testcase}
 The XIOS generic testcase is located in the \verb|GENERIC_TESTCASE| folder inside 
 the XIOS directory. Inside the \verb|GENERIC_TESTCASE| folder, we have for the moment 
@@ -157,14 +157,14 @@
 
 Besides of the default value, one can also set a temporal value for the configuration variables in the file \verb|user_params.def|.
-In this file, each variable can have multiple values seperated by a semecolon. For example, \verb|NumberServers=2,4,6|.
+In this file, each variable can have multiple values separated by a semicolon. For example, \verb|NumberServers=2,4,6|.
 From such definition, the testcase will generate 3 different configurations and tests will be run for each configuration.
 
 
 \subsection{Define the output file check list}
-The validation of the testcase is ensured by the comparaison between the newly generated output 
-\verb|NetCDF| files and the prestored reference results. In some cases, one maybe interested in only one or serveral output files.
-It will not be necessary to compare all output files for this will slow down the whole test execuition.
+The validation of the testcase is ensured by the comparison between the newly generated output 
+\verb|NetCDF| files and the pre-stored reference results. In some cases, one maybe interested in only one or several output files.
+It will not be necessary to compare all output files for this will slow down the whole test execution.
 To specify the output files to compare with the reference, one can modify the \verb|checkfile.def| file.
-If nothing is set in this file, or \verb|all| is set, then all output files will be examinated.
+If nothing is set in this file, or \verb|all| is set, then all output files will be examined.
 
 \section{How to launch XIOS testcase}
@@ -204,5 +204,5 @@
 \end{lstlisting}
 
-This Ctest style summary report shows the overall execution status of all unit tests. 
+This CTest style summary report shows the overall execution status of all unit tests. 
 Besides of this console output, we also have \verb|report.html| which can be viewed
 by any web browser. 