Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1742)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1743)
@@ -46,4 +46,8 @@
 	f.write("module load cdo\n")
 	f.write("ulimit -c 0\n")
+	xios_root=os.getenv('xios_dir')
+	build_folder=os.getenv('build_dir')
+	f.write("export xios_dir="+xios_root+"\n")
+	f.write("export build_dir="+build_folder+"\n")
 	f.write("export machine_name=jeanzay\n")
 	f.write("cp ../setup.py ./\n")
@@ -54,13 +58,15 @@
 	f.write("cmake .\n")
 	f.write("ctest -V #enable all output\n")
-	f.write("rm -f setup.py run_sub_test.sh\n")
+	f.write("rm -f setup.py\n")
+	f.write("rm -f run_sub_test.sh\n")
 	f.write("rm -f run_test_*.py\n")
-	f.write("rm -f user_param.py.*\n")
-	f.write("rm -f user_param.def\n")
+	f.write("rm -f CMakeLists.txt\n")
+	f.write("rm -f context_grid_dynamico.xml\n")
+	f.write("rm -f dynamico_grid.nc\n")
+	f.write("rm -f default_param.*\n")
+	f.write("rm -f user_param.*\n")
 	f.write("mv user_params.def_bkp user_params.def\n")
 	f.write("\n")
 	f.close
-
-
 
 def write_irene_job(configName, nbproc=8):
@@ -99,4 +105,8 @@
 	f.write("export OMP_NUM_THREADS=${BRIDGE_MSUB_NCORE}\n")
 	f.write("set -x \n")
+	xios_root=os.getenv('xios_dir')
+	build_folder=os.getenv('build_dir')
+	f.write("export xios_dir="+xios_root+"\n")
+	f.write("export build_dir="+build_folder+"\n")
 	f.write("export machine_name=irene\n")
 	f.write("cp ../setup.py ./\n")
@@ -107,8 +117,12 @@
 	f.write("cmake .\n")
 	f.write("ctest -V #enable all output\n")
-	f.write("rm -f setup.py run_sub_test.sh\n")
+	f.write("rm -f setup.py\n")
+	f.write("rm -f run_sub_test.sh\n")
 	f.write("rm -f run_test_*.py\n")
-	f.write("rm -f user_param.py.*\n")
-	f.write("rm -f user_param.def\n")
+	f.write("rm -f CMakeLists.txt\n")
+	f.write("rm -f context_grid_dynamico.xml\n")
+	f.write("rm -f dynamico_grid.nc\n")
+	f.write("rm -f default_param.*\n")
+	f.write("rm -f user_param.*\n")
 	f.write("mv user_params.def_bkp user_params.def\n")
 	f.write("\n")
@@ -234,4 +248,16 @@
 		l.write("<br>")
 		h.close()
+		#generate job scripts
+		hostname=os.getenv('machine_name')
+		if hostname.startswith("jeanzay"):
+			write_jz_job(configName, NumberClients+NumberServers)
+				
+		elif hostname.startswith("irene"):
+			write_irene_job(configName, NumberClients+NumberServers)
+							
+		else :
+			print("machine unknown")
+			print >> sys.stderr, 1
+			sys.exit()
 
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/clean_config.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/clean_config.sh	(revision 1742)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/clean_config.sh	(revision 1743)
@@ -1,7 +1,7 @@
-bash -c "cd test_function && rm -rf config_*"
-bash -c "cd test_scalar_algo && rm -rf config_*"
-bash -c "cd test_axis_algo && rm -rf config_*"
-bash -c "cd test_domain_algo && rm -rf config_*"
-bash -c "cd test_grid_algo && rm -rf config_*"
+bash -c "cd test_function && rm -rf config_* && rm -f jz_job_*.sh && rm -f irene_job_*.sh && rm -f user_param.py.* && rm -f run_test_*.py && rm -f report.* && rm -rf diff.txt && rm -rf current_run"
+bash -c "cd test_scalar_algo && rm -rf config_* && rm -f jz_job_*.sh && rm -f irene_job_*.sh && rm -f user_param.py.* && rm -f run_test_*.py && rm -f report.* && rm -rf diff.txt && rm -rf current_run"
+bash -c "cd test_axis_algo && rm -rf config_* && rm -f jz_job_*.sh && rm -f irene_job_*.sh && rm -f user_param.py.* && rm -f run_test_*.py && rm -f report.* && rm -rf diff.txt && rm -rf current_run"
+bash -c "cd test_domain_algo && rm -rf config_* && rm -f jz_job_*.sh && rm -f irene_job_*.sh && rm -f user_param.py.* && rm -f run_test_*.py && rm -f report.* && rm -rf diff.txt && rm -rf current_run"
+bash -c "cd test_grid_algo && rm -rf config_* && rm -f jz_job_*.sh && rm -f irene_job_*.sh && rm -f user_param.py.* && rm -f run_test_*.py && rm -f report.* && rm -rf diff.txt && rm -rf current_run"
 
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/clean_xios.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/clean_xios.sh	(revision 1742)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/clean_xios.sh	(revision 1743)
@@ -1,33 +1,36 @@
-cd test_function/test_average
+cd test_function
 rm -f xios_*.out
 rm -f xios_*.err
+rm -f *.nc
+rm -f graph_data.json
+rm -f distribute_file_*.dat 
 
-cd ../test_maximum
+cd ../test_scalar_algo
 rm -f xios_*.out
 rm -f xios_*.err
-
-cd ../test_minimum
-rm -f xios_*.out
-rm -f xios_*.err
-
-cd ../test_sum
-rm -f xios_*.out
-rm -f xios_*.err
-
-cd ../../test_scalar_algo
-rm -f xios_*.out
-rm -f xios_*.err
+rm -f *.nc
+rm -f graph_data.json
+rm -f distribute_file_*.dat 
 
 cd ../test_axis_algo
 rm -f xios_*.out
 rm -f xios_*.err
+rm -f *.nc
+rm -f graph_data.json
+rm -f distribute_file_*.dat 
 
 cd ../test_domain_algo
 rm -f xios_*.out
 rm -f xios_*.err
+rm -f *.nc
+rm -f graph_data.json
+rm -f distribute_file_*.dat 
 
 cd ../test_grid_algo
 rm -f xios_*.out
 rm -f xios_*.err
+rm -f *.nc
+rm -f graph_data.json
+rm -f distribute_file_*.dat 
 
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job_irene.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job_irene.sh	(revision 1742)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job_irene.sh	(revision 1743)
@@ -49,4 +49,6 @@
 
 export machine_name=irene
+export xios_dir=/ccc/cont003/home/gencmip6/wangyush/XIOS/dev_trunk_omp
+export build_dir=build_mpi_intelmpi_prod
 
 rm -f setup.sh
@@ -82,3 +84,8 @@
 rm -f test_*/run_test_*.py
 rm -f test_*/CMakeLists.txt
+rm -f test_*/context_grid_dynamico.xml
+rm -f test_*/dynamico_grid.nc
+rm -f test_*/default_param.pyc
+rm -f test_*/user_param.pyc
+rm -f test_*/user_param.py.*
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job_jz.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job_jz.sh	(revision 1742)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job_jz.sh	(revision 1743)
@@ -32,4 +32,6 @@
 #srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./mpmd_srun.conf
 export machine_name=jeanzay
+export xios_dir=/gpfswork/rech/psl/rpsl954/xios/dev_trunk_omp
+export build_dir=build_prod
 
 # python user_config.py
@@ -67,4 +69,9 @@
 rm -f test_*/run_test_*.py
 rm -f test_*/CMakeLists.txt
+rm -f test_*/context_grid_dynamico.xml
+rm -f test_*/dynamico_grid.nc
+rm -f test_*/default_param.pyc
+rm -f test_*/user_param.pyc
+rm -f test_*/user_param.py.*
 
 
@@ -73,4 +80,2 @@
 
 
-	# bj98et@eduroam.cnrs.fr
-	# corsez filez doutez isbas
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_sub_test.sh	(revision 1742)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_sub_test.sh	(revision 1743)
@@ -25,13 +25,13 @@
 then
     echo "Testing on Irene"
-    ccc_mprun -n $nb_proc ../../build_prod/bin/generic_testcase.exe
+    ccc_mprun -n $nb_proc $xios_dir/$build_dir/bin/generic_testcase.exe
 elif [[($machine_name == ada)]]
 then
     echo "Testing on ADA"
-    mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
+    mpirun -np $nb_proc $xios_dir/$build_dir/bin/generic_testcase.exe
 elif [[($machine_name == jeanzay)]]
 then
     echo "Testing on Jean-Zay" 
-    srun -n $nb_proc --mpi=pmi2 ../../build_prod/bin/generic_testcase.exe
+    srun -n $nb_proc --mpi=pmi2 $xios_dir/$build_dir/bin/generic_testcase.exe
     if [ $? -ne 0 ]
         then
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/job_irene.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/job_irene.sh	(revision 1742)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/job_irene.sh	(revision 1743)
@@ -40,12 +40,7 @@
 
 export machine_name=irene
-#export GMON_OUT_PREFIX='gmon.out'
+export xios_dir=/ccc/cont003/home/gencmip6/wangyush/XIOS/dev_trunk_omp
+export build_dir=build_mpi_intelmpi_prod
 
-#export TAU_MAKEFILE=$TAU_MAKEFILEDIR/Makefile.tau-icpc-papi-mpi-pdt-openmp-opari-scorep
-#ccc_mprun -E '--enable_perf' amplxe-cl -collect hotspots -r ${PWD}/1omp_vtune/vtune_results ../../bin/test_send.exe
-
-#ccc_mprun ../build_prod/bin/test_omp.exe 4
-#ccc_mprun tau_exec -io ../../bin/test_send.exe
-#ddt -start -n 8 ../buile_intelmpi/bin/test_omp.exe
 cp ../setup.py ./
 cp ../run_sub_test.sh ./
@@ -59,5 +54,11 @@
 ctest -V #enable all output
 
-rm -f setup.py run_sub_test.sh
+rm -f setup.py
+rm -f run_sub_test.sh
 rm -f run_test_*.py
+rm -f CMakeLists.txt
+rm -f context_grid_dynamico.xml
+rm -f dynamico_grid.nc
+rm -f default_param.pyc
+rm -f user_param.pyc
 rm -f user_param.py.*
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/job_jz.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/job_jz.sh	(revision 1742)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/job_jz.sh	(revision 1743)
@@ -32,4 +32,6 @@
 #srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./mpmd_srun.conf
 export machine_name=jeanzay
+export xios_dir=/gpfswork/rech/psl/rpsl954/xios/dev_trunk_omp
+export build_dir=build_prod
 
 cp ../setup.py ./
@@ -44,5 +46,11 @@
 ctest -V #enable all output
 
-rm -f setup.py run_sub_test.sh
+rm -f setup.py
+rm -f run_sub_test.sh
 rm -f run_test_*.py
+rm -f CMakeLists.txt
+rm -f context_grid_dynamico.xml
+rm -f dynamico_grid.nc
+rm -f default_param.pyc
+rm -f user_param.pyc
 rm -f user_param.py.*
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/job_irene.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/job_irene.sh	(revision 1742)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/job_irene.sh	(revision 1743)
@@ -40,12 +40,7 @@
 
 export machine_name=irene
-#export GMON_OUT_PREFIX='gmon.out'
+export xios_dir=/ccc/cont003/home/gencmip6/wangyush/XIOS/dev_trunk_omp
+export build_dir=build_mpi_intelmpi_prod
 
-#export TAU_MAKEFILE=$TAU_MAKEFILEDIR/Makefile.tau-icpc-papi-mpi-pdt-openmp-opari-scorep
-#ccc_mprun -E '--enable_perf' amplxe-cl -collect hotspots -r ${PWD}/1omp_vtune/vtune_results ../../bin/test_send.exe
-
-#ccc_mprun ../build_prod/bin/test_omp.exe 4
-#ccc_mprun tau_exec -io ../../bin/test_send.exe
-#ddt -start -n 8 ../buile_intelmpi/bin/test_omp.exe
 cp ../setup.py ./
 cp ../run_sub_test.sh ./
@@ -59,5 +54,11 @@
 ctest -V #enable all output
 
-rm -f setup.py run_sub_test.sh
+rm -f setup.py
+rm -f run_sub_test.sh
 rm -f run_test_*.py
+rm -f CMakeLists.txt
+rm -f context_grid_dynamico.xml
+rm -f dynamico_grid.nc
+rm -f default_param.pyc
+rm -f user_param.pyc
 rm -f user_param.py.*
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/job_jz.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/job_jz.sh	(revision 1742)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/job_jz.sh	(revision 1743)
@@ -32,4 +32,6 @@
 #srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./mpmd_srun.conf
 export machine_name=jeanzay
+export xios_dir=/gpfswork/rech/psl/rpsl954/xios/dev_trunk_omp
+export build_dir=build_prod
 
 cp ../setup.py ./
@@ -40,10 +42,15 @@
 cmake .
 
-ctest --output-on-failure #enable output only when test failed
+#ctest --output-on-failure #enable output only when test failed
 
-#ctest -V #enable all output
+ctest -V #enable all output
 
-rm -f setup.py run_sub_test.sh
+rm -f setup.py
+rm -f run_sub_test.sh
 rm -f run_test_*.py
+rm -f CMakeLists.txt
+rm -f context_grid_dynamico.xml
+rm -f dynamico_grid.nc
+rm -f default_param.pyc
+rm -f user_param.pyc
 rm -f user_param.py.*
-
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/job_irene.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/job_irene.sh	(revision 1742)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/job_irene.sh	(revision 1743)
@@ -39,12 +39,8 @@
 set -x 
 
-#export GMON_OUT_PREFIX='gmon.out'
+export machine_name=irene
+export xios_dir=/ccc/cont003/home/gencmip6/wangyush/XIOS/dev_trunk_omp
+export build_dir=build_mpi_intelmpi_prod
 
-#export TAU_MAKEFILE=$TAU_MAKEFILEDIR/Makefile.tau-icpc-papi-mpi-pdt-openmp-opari-scorep
-#ccc_mprun -E '--enable_perf' amplxe-cl -collect hotspots -r ${PWD}/1omp_vtune/vtune_results ../../bin/test_send.exe
-
-#ccc_mprun ../build_prod/bin/test_omp.exe 4
-#ccc_mprun tau_exec -io ../../bin/test_send.exe
-#ddt -start -n 8 ../buile_intelmpi/bin/test_omp.exe
 cp ../setup.py ./
 cp ../run_sub_test.sh ./
@@ -58,5 +54,11 @@
 ctest -V #enable all output
 
-rm -f setup.py run_sub_test.sh
+rm -f setup.py
+rm -f run_sub_test.sh
 rm -f run_test_*.py
+rm -f CMakeLists.txt
+rm -f context_grid_dynamico.xml
+rm -f dynamico_grid.nc
+rm -f default_param.pyc
+rm -f user_param.pyc
 rm -f user_param.py.*
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/job_jz.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/job_jz.sh	(revision 1742)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/job_jz.sh	(revision 1743)
@@ -32,4 +32,6 @@
 #srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./mpmd_srun.conf
 export machine_name=jeanzay
+export xios_dir=/gpfswork/rech/psl/rpsl954/xios/dev_trunk_omp
+export build_dir=build_prod
 
 cp ../setup.py ./
@@ -40,10 +42,15 @@
 cmake .
 
-ctest --output-on-failure #enable output only when test failed
+#ctest --output-on-failure #enable output only when test failed
 
-#ctest -V #enable all output
+ctest -V #enable all output
 
-rm -f setup.py run_sub_test.sh
+rm -f setup.py
+rm -f run_sub_test.sh
 rm -f run_test_*.py
+rm -f CMakeLists.txt
+rm -f context_grid_dynamico.xml
+rm -f dynamico_grid.nc
+rm -f default_param.pyc
+rm -f user_param.pyc
 rm -f user_param.py.*
-
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/job_irene.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/job_irene.sh	(revision 1742)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/job_irene.sh	(revision 1743)
@@ -40,12 +40,7 @@
 
 export machine_name=irene
-#export GMON_OUT_PREFIX='gmon.out'
+export xios_dir=/ccc/cont003/home/gencmip6/wangyush/XIOS/dev_trunk_omp
+export build_dir=build_mpi_intelmpi_prod
 
-#export TAU_MAKEFILE=$TAU_MAKEFILEDIR/Makefile.tau-icpc-papi-mpi-pdt-openmp-opari-scorep
-#ccc_mprun -E '--enable_perf' amplxe-cl -collect hotspots -r ${PWD}/1omp_vtune/vtune_results ../../bin/test_send.exe
-
-#ccc_mprun ../build_prod/bin/test_omp.exe 4
-#ccc_mprun tau_exec -io ../../bin/test_send.exe
-#ddt -start -n 8 ../buile_intelmpi/bin/test_omp.exe
 cp ../setup.py ./
 cp ../run_sub_test.sh ./
@@ -59,5 +54,11 @@
 ctest -V #enable all output
 
-rm -f setup.py run_sub_test.sh
+rm -f setup.py
+rm -f run_sub_test.sh
 rm -f run_test_*.py
+rm -f CMakeLists.txt
+rm -f context_grid_dynamico.xml
+rm -f dynamico_grid.nc
+rm -f default_param.pyc
+rm -f user_param.pyc
 rm -f user_param.py.*
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/job_jz.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/job_jz.sh	(revision 1742)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/job_jz.sh	(revision 1743)
@@ -32,4 +32,6 @@
 #srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./mpmd_srun.conf
 export machine_name=jeanzay
+export xios_dir=/gpfswork/rech/psl/rpsl954/xios/dev_trunk_omp
+export build_dir=build_prod
 
 cp ../setup.py ./
@@ -40,10 +42,15 @@
 cmake .
 
-ctest --output-on-failure #enable output only when test failed
+#ctest --output-on-failure #enable output only when test failed
 
-#ctest -V #enable all output
+ctest -V #enable all output
 
-rm -f setup.py run_sub_test.sh
+rm -f setup.py
+rm -f run_sub_test.sh
 rm -f run_test_*.py
+rm -f CMakeLists.txt
+rm -f context_grid_dynamico.xml
+rm -f dynamico_grid.nc
+rm -f default_param.pyc
+rm -f user_param.pyc
 rm -f user_param.py.*
-
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/job_irene.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/job_irene.sh	(revision 1742)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/job_irene.sh	(revision 1743)
@@ -40,12 +40,7 @@
 
 export machine_name=irene
-#export GMON_OUT_PREFIX='gmon.out'
+export xios_dir=/ccc/cont003/home/gencmip6/wangyush/XIOS/dev_trunk_omp
+export build_dir=build_mpi_intelmpi_prod
 
-#export TAU_MAKEFILE=$TAU_MAKEFILEDIR/Makefile.tau-icpc-papi-mpi-pdt-openmp-opari-scorep
-#ccc_mprun -E '--enable_perf' amplxe-cl -collect hotspots -r ${PWD}/1omp_vtune/vtune_results ../../bin/test_send.exe
-
-#ccc_mprun ../build_prod/bin/test_omp.exe 4
-#ccc_mprun tau_exec -io ../../bin/test_send.exe
-#ddt -start -n 8 ../buile_intelmpi/bin/test_omp.exe
 cp ../setup.py ./
 cp ../run_sub_test.sh ./
@@ -59,5 +54,11 @@
 ctest -V #enable all output
 
-rm -f setup.py run_sub_test.sh
+rm -f setup.py
+rm -f run_sub_test.sh
 rm -f run_test_*.py
+rm -f CMakeLists.txt
+rm -f context_grid_dynamico.xml
+rm -f dynamico_grid.nc
+rm -f default_param.pyc
+rm -f user_param.pyc
 rm -f user_param.py.*
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/job_jz.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/job_jz.sh	(revision 1742)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/job_jz.sh	(revision 1743)
@@ -32,4 +32,6 @@
 #srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./mpmd_srun.conf
 export machine_name=jeanzay
+export xios_dir=/gpfswork/rech/psl/rpsl954/xios/dev_trunk_omp
+export build_dir=build_prod
 
 cp ../setup.py ./
@@ -40,9 +42,15 @@
 cmake .
 
-ctest --output-on-failure #enable output only when test failed
+#ctest --output-on-failure #enable output only when test failed
 
-#ctest -V #enable all output
+ctest -V #enable all output
 
-rm -f setup.py run_sub_test.sh
+rm -f setup.py
+rm -f run_sub_test.sh
 rm -f run_test_*.py
+rm -f CMakeLists.txt
+rm -f context_grid_dynamico.xml
+rm -f dynamico_grid.nc
+rm -f default_param.pyc
+rm -f user_param.pyc
 rm -f user_param.py.*