Index: /XIOS/dev/dev_trunk_omp/arch/arch-X64_IRENE_intelmpi.env
===================================================================
--- /XIOS/dev/dev_trunk_omp/arch/arch-X64_IRENE_intelmpi.env	(revision 1744)
+++ /XIOS/dev/dev_trunk_omp/arch/arch-X64_IRENE_intelmpi.env	(revision 1744)
@@ -0,0 +1,12 @@
+#module switch mpi mpi/intelmpi
+module unload netcdf-c netcdf-fortran hdf5 flavor perl hdf5 boost blitz mpi gnu
+module load gnu
+module load mpi/intelmpi/2017.0.6.256
+module load flavor/buildcompiler/intel/17
+#module load flavor/buildmpi/intelmpi/2017
+module load flavor/hdf5/parallel
+module load netcdf-fortran/4.4.4
+module load hdf5/1.8.20
+module load boost
+module load blitz
+module load feature/bridge/heterogenous_mpmd
Index: /XIOS/dev/dev_trunk_omp/arch/arch-X64_IRENE_intelmpi.fcm
===================================================================
--- /XIOS/dev/dev_trunk_omp/arch/arch-X64_IRENE_intelmpi.fcm	(revision 1744)
+++ /XIOS/dev/dev_trunk_omp/arch/arch-X64_IRENE_intelmpi.fcm	(revision 1744)
@@ -0,0 +1,29 @@
+################################################################################
+###################                Projet XIOS               ###################
+################################################################################
+#
+# Compile XIOS with intelmpi
+#
+   
+%CCOMPILER      mpicc -qopenmp
+%FCOMPILER      mpif90 -qopenmp
+%LINKER         mpif90 -qopenmp -nofor-main
+
+%BASE_CFLAGS    -std=c++11 -diag-disable 1125 -diag-disable 279
+%PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
+#%DEV_CFLAGS     -g -traceback
+%DEV_CFLAGS     -g 
+%DEBUG_CFLAGS   -DBZ_DEBUG -g -traceback -fno-inline
+
+%BASE_FFLAGS    -D__NONE__ 
+%PROD_FFLAGS    -O3
+#%DEV_FFLAGS     -g -traceback
+%DEV_FFLAGS     -g 
+%DEBUG_FFLAGS   -g -traceback
+
+%BASE_INC       -D__NONE__
+%BASE_LD        -lstdc++
+
+%CPP            mpicc -EP
+%FPP            cpp -P
+%MAKE           gmake
Index: /XIOS/dev/dev_trunk_omp/arch/arch-X64_IRENE_intelmpi.path
===================================================================
--- /XIOS/dev/dev_trunk_omp/arch/arch-X64_IRENE_intelmpi.path	(revision 1744)
+++ /XIOS/dev/dev_trunk_omp/arch/arch-X64_IRENE_intelmpi.path	(revision 1744)
@@ -0,0 +1,28 @@
+NETCDF_INCDIR="-I $NETCDFC_INCDIR -I $NETCDFFORTRAN_INCDIR"
+NETCDF_LIBDIR="-L $NETCDFC_LIBDIR -L $NETCDFFORTRAN_LIBDIR"
+NETCDF_LIB="-lnetcdf -lnetcdff"
+
+MPI_INCDIR=""
+MPI_LIBDIR=""
+MPI_LIB=""
+
+HDF5_INCDIR="-I$HDF5_INCDIR"
+HDF5_LIBDIR="-L$HDF5_LIBDIR"
+HDF5_LIB="-lhdf5_hl -lhdf5 -lz -lcurl"
+
+BOOST_INCDIR="-I $BOOST_INCDIR"
+BOOST_LIBDIR="-L $BOOST_LIBDIR"
+BOOST_LIB=""
+
+BLITZ_INCDIR="-I $BLITZ_INCDIR"
+BLITZ_LIBDIR="-L $BLITZ_LIBDIR"
+BLITZ_LIB=""
+
+OASIS_INCDIR="-I$PWD/../../oasis3-mct/BLD/build/lib/psmile.MPI1"
+OASIS_LIBDIR="-L$PWD/../../oasis3-mct/BLD/lib"
+OASIS_LIB="-lpsmile.MPI1 -lscrip -lmct -lmpeu"
+
+
+#only for MEMTRACK debuging : developper only
+ADDR2LINE_LIBDIR="-L${WORKDIR}/ADDR2LINE_LIB"
+ADDR2LINE_LIB="-laddr2line"
Index: /XIOS/dev/dev_trunk_omp/arch/arch-X64_IRENE_openmpi.env
===================================================================
--- /XIOS/dev/dev_trunk_omp/arch/arch-X64_IRENE_openmpi.env	(revision 1743)
+++ /XIOS/dev/dev_trunk_omp/arch/arch-X64_IRENE_openmpi.env	(revision 1744)
@@ -1,14 +1,11 @@
 module unload netcdf-c netcdf-fortran hdf5 flavor perl hdf5 boost blitz mpi gnu
-module load flavor/buildcompiler/intel/17 flavor/buildmpi/openmpi/2.0 flavor/hdf5/parallel
-module load flavor/openmpi/thread-multiple 
+module load gnu
+module load flavor/openmpi/thread-multiple
 module load mpi/openmpi/2.0.4
-module load netcdf-c/4.6.0
 module load flavor/hdf5/parallel
 module load netcdf-fortran/4.4.4
+module load netcdf-c/4.6.0
 module load hdf5/1.8.20
 module load boost
 module load blitz
-module load gnu
-#module load scalasca
 module load feature/bridge/heterogenous_mpmd
-
Index: /XIOS/dev/dev_trunk_omp/arch/arch-X64_IRENE_openmpi.fcm
===================================================================
--- /XIOS/dev/dev_trunk_omp/arch/arch-X64_IRENE_openmpi.fcm	(revision 1743)
+++ /XIOS/dev/dev_trunk_omp/arch/arch-X64_IRENE_openmpi.fcm	(revision 1744)
@@ -3,9 +3,9 @@
 ################################################################################
 
-%CCOMPILER      mpicc -D_usingEP -qopenmp -D_openmpi
+%CCOMPILER      mpicc -qopenmp
 %FCOMPILER      mpif90 -qopenmp
-%LINKER         mpif90 -qopenmp -nofor-main
+%LINKER         mpif90  -nofor-main -qopenmp
 
-%BASE_CFLAGS    -g -O0 -std=c++11 -diag-disable 1125 -diag-disable 279
+%BASE_CFLAGS    -std=c++11 -diag-disable 1125 -diag-disable 279
 %PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
 #%DEV_CFLAGS     -g -traceback
Index: OS/dev/dev_trunk_omp/arch/arch-X64_IRENE_trunk.env
===================================================================
--- /XIOS/dev/dev_trunk_omp/arch/arch-X64_IRENE_trunk.env	(revision 1743)
+++ 	(revision )
@@ -1,13 +1,0 @@
-module switch mpi mpi/intelmpi
-module unload netcdf-c netcdf-fortran hdf5 flavor perl hdf5 boost blitz mpi gnu
-module load gnu
-#module load mpi/openmpi/2.0.2
-#module load mpi/intelmpi/2017
-module load flavor/buildcompiler/intel/17
-module load flavor/buildmpi/intelmpi/2017
-module load flavor/hdf5/parallel
-module load netcdf-fortran/4.4.4
-module load hdf5/1.8.20
-module load boost
-module load blitz
-module load feature/bridge/heterogenous_mpmd
Index: OS/dev/dev_trunk_omp/arch/arch-X64_IRENE_trunk.fcm
===================================================================
--- /XIOS/dev/dev_trunk_omp/arch/arch-X64_IRENE_trunk.fcm	(revision 1743)
+++ 	(revision )
@@ -1,29 +1,0 @@
-################################################################################
-###################                Projet XIOS               ###################
-################################################################################
-#
-# Compile XIOS with intelmpi
-#
-
-%CCOMPILER      mpicc -qopenmp -D_usingMPI 
-%FCOMPILER      mpif90 -qopenmp
-%LINKER         mpif90 -qopenmp -nofor-main
-
-%BASE_CFLAGS    -std=c++11 -diag-disable 1125 -diag-disable 279
-%PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
-#%DEV_CFLAGS     -g -traceback
-%DEV_CFLAGS     -g 
-%DEBUG_CFLAGS   -DBZ_DEBUG -g -traceback -fno-inline
-
-%BASE_FFLAGS    -D__NONE__ 
-%PROD_FFLAGS    -O3
-#%DEV_FFLAGS     -g -traceback
-%DEV_FFLAGS     -g 
-%DEBUG_FFLAGS   -g -traceback
-
-%BASE_INC       -D__NONE__
-%BASE_LD        -lstdc++
-
-%CPP            mpicc -EP
-%FPP            cpp -P
-%MAKE           gmake
Index: OS/dev/dev_trunk_omp/arch/arch-X64_IRENE_trunk.path
===================================================================
--- /XIOS/dev/dev_trunk_omp/arch/arch-X64_IRENE_trunk.path	(revision 1743)
+++ 	(revision )
@@ -1,28 +1,0 @@
-NETCDF_INCDIR="-I $NETCDFC_INCDIR -I $NETCDFFORTRAN_INCDIR"
-NETCDF_LIBDIR="-L $NETCDFC_LIBDIR -L $NETCDFFORTRAN_LIBDIR"
-NETCDF_LIB="-lnetcdf -lnetcdff"
-
-MPI_INCDIR=""
-MPI_LIBDIR=""
-MPI_LIB=""
-
-HDF5_INCDIR="-I$HDF5_INCDIR"
-HDF5_LIBDIR="-L$HDF5_LIBDIR"
-HDF5_LIB="-lhdf5_hl -lhdf5 -lz -lcurl"
-
-BOOST_INCDIR="-I $BOOST_INCDIR"
-BOOST_LIBDIR="-L $BOOST_LIBDIR"
-BOOST_LIB=""
-
-BLITZ_INCDIR="-I $BLITZ_INCDIR"
-BLITZ_LIBDIR="-L $BLITZ_LIBDIR"
-BLITZ_LIB=""
-
-OASIS_INCDIR="-I$PWD/../../oasis3-mct/BLD/build/lib/psmile.MPI1"
-OASIS_LIBDIR="-L$PWD/../../oasis3-mct/BLD/lib"
-OASIS_LIB="-lpsmile.MPI1 -lscrip -lmct -lmpeu"
-
-
-#only for MEMTRACK debuging : developper only
-ADDR2LINE_LIBDIR="-L${WORKDIR}/ADDR2LINE_LIB"
-ADDR2LINE_LIB="-laddr2line"
Index: /XIOS/dev/dev_trunk_omp/inputs/job_irene.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/inputs/job_irene.sh	(revision 1744)
+++ /XIOS/dev/dev_trunk_omp/inputs/job_irene.sh	(revision 1744)
@@ -0,0 +1,50 @@
+#!/bin/bash
+######################
+## CURIE   TGCC/CEA ##
+######################
+#MSUB -r XIOS
+#MSUB -o client_output.out    # standard output
+#MSUB -e client_error.err    #error output
+#MSUB -eo
+#MSUB -c 1
+#MSUB -n 8  # Number of MPI tasks (SPMD case) or cores (MPMD case)
+#MSUB -X 
+#MSUB -x 
+#MSUB -T 1800      # Wall clock limit (seconds)
+#MSUB -q skylake           # thin nodes
+#MSUB -A devcmip6
+#MSUB -Q test
+#MSUB -m work
+
+cd $BRIDGE_MSUB_PWD
+module unload netcdf-c netcdf-fortran hdf5 flavor perl hdf5 boost blitz mpi gnu
+module load gnu
+module load mpi/intelmpi/2017.0.6.256
+module load flavor/buildcompiler/intel/17
+module load flavor/hdf5/parallel
+module load netcdf-fortran/4.4.4
+module load hdf5/1.8.20
+module load boost
+module load blitz
+module load feature/bridge/heterogenous_mpmd
+module load arm-forge
+module load nco
+module load cdo
+
+export KMP_STACKSIZE=3g
+export KMP_LIBRARY=turnaround
+export MKL_SERIAL=YES
+export OMP_NUM_THREADS=${BRIDGE_MSUB_NCORE}
+
+set -x 
+
+#export GMON_OUT_PREFIX='gmon.out'
+
+#export TAU_MAKEFILE=$TAU_MAKEFILEDIR/Makefile.tau-icpc-papi-mpi-pdt-openmp-opari-scorep
+#ccc_mprun -E '--enable_perf' amplxe-cl -collect hotspots -r ${PWD}/1omp_vtune/vtune_results ../../bin/test_send.exe
+
+export build_dir=build_mpi_intelmpi_prod
+ccc_mprun ../$build_dir/bin/test_omp.exe 4
+
+#ccc_mprun tau_exec -io ../../bin/test_send.exe
+#ddt -start -n 8 ../buile_intelmpi/bin/test_omp.exe
Index: /XIOS/dev/dev_trunk_omp/inputs/job_irene_openmpi.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/inputs/job_irene_openmpi.sh	(revision 1744)
+++ /XIOS/dev/dev_trunk_omp/inputs/job_irene_openmpi.sh	(revision 1744)
@@ -0,0 +1,53 @@
+#!/bin/bash
+######################
+## CURIE   TGCC/CEA ##
+######################
+#MSUB -r XIOS
+#MSUB -o client_output.out    # standard output
+#MSUB -e client_error.err    #error output
+#MSUB -eo
+#MSUB -c 2 
+#MSUB -n 8  # Number of MPI tasks (SPMD case) or cores (MPMD case)
+#MSUB -X 
+#MSUB -x 
+#MSUB -T 1800      # Wall clock limit (seconds)
+#MSUB -q skylake           # thin nodes
+#MSUB -A devcmip6
+#MSUB -Q test
+#MSUB -m work
+
+cd $BRIDGE_MSUB_PWD
+
+module unload netcdf-c netcdf-fortran hdf5 flavor perl hdf5 boost blitz mpi gnu
+module load gnu
+module load flavor/openmpi/thread-multiple
+module load mpi/openmpi/2.0.4
+module load flavor/hdf5/parallel
+module load netcdf-fortran/4.4.4
+module load netcdf-c/4.6.0
+module load hdf5/1.8.20
+module load boost
+module load blitz
+module load feature/bridge/heterogenous_mpmd
+
+export KMP_STACKSIZE=3g
+export KMP_LIBRARY=turnaround
+export MKL_SERIAL=YES
+export OMP_NUM_THREADS=${BRIDGE_MSUB_NCORE}
+
+set -x 
+
+#export GMON_OUT_PREFIX='gmon.out'
+
+#export TAU_MAKEFILE=$TAU_MAKEFILEDIR/Makefile.tau-icpc-papi-mpi-pdt-openmp-opari-scorep
+#ccc_mprun -E '--enable_perf' amplxe-cl -collect hotspots -r ${PWD}/1omp_vtune/vtune_results ../../bin/test_send.exe
+#export LD_LIBRARY_PATH="/ccc/products/netcdf-c-4.6.0/intel--17.0.4.196__openmpi--1.8.8/hdf5__parallel/lib/"
+
+
+export build_dir=build_ep_openmpi_prod
+ccc_mprun ../$build_dir/bin/test_omp.exe 4
+
+#ccc_mprun tau_exec -io ../../bin/test_send.exe
+#module load arm-forge
+
+#ddt -start -n 8 ../$build_dir/bin/test_omp.exe 4